## linux-kernel-di-mips 0.57

=== debian/changelog ===
linux-kernel-di-mips (0.57) unstable; urgency=low

  * Martin Michlmayr
    - Update kernels to 2.4.26.
    - The SWARM kernel has PCMCIA support now, provide pcmcia-modules.
    - Provide pcmcia-storage-modules for SWARM.
    - Provide xfs-modules for SWARM.
    - Provide scsi-common-modules for SWARM.
    - Provide scsi-modules for SWARM.
    - Provide sata-modules for SWARM.
    - The SWARM kernel has all socket-modules built in now.
    - Build-Depend on kernel-wedge >= 1.12.

 -- Martin Michlmayr <tbm@cyrius.com>  Mon, 17 May 2004 18:34:01 +0100

linux-kernel-di-mips (0.56) unstable; urgency=low

  * Martin Michlmayr
    - Split the mipsel kernels from the mips package again since this
      allows more flexibility.
    - Don't generate PPP modules for SGI Indy/Indigo.

 -- Martin Michlmayr <tbm@cyrius.com>  Sun, 09 May 2004 01:37:51 +0100

linux-kernel-di-mips (0.55) unstable; urgency=low

  * Colin Watson
    - Kernel images provide ext2-modules.
  * Martin Michlmayr
    - Build depend on the mips kernel image >= 0.040415.2 for r4k-ip22 and
      r5k-ip22 to get working initrd support.

 -- Martin Michlmayr <tbm@cyrius.com>  Sat, 01 May 2004 13:22:32 +0100

linux-kernel-di-mips (0.54) unstable; urgency=low

  * Bastian Blank
    - Update build dependency to kernel-wedge.
    - Move package-list specifications from kernel-wedge.
  * Martin Michlmayr
    - Merge linux-kernel-di-mipsel into linux-kernel-di-mips.
    - Update all kernels to 2.4.25.
    - Add images for r5k-cobalt on mipsel.
    - Most kernels provide socket-modules.
    - Update socket-modules on sb1-swarm-bn.
    - Remove hfs-modules from sb1-swarm-bn since hfs modules are not
      useful during a mips installation.

 -- Martin Michlmayr <tbm@cyrius.com>  Sat, 17 Apr 2004 16:17:11 +0100

linux-kernel-di-mips (0.53) unstable; urgency=low

  * Joey Hess
    - Fix up path to kernel-wedge rules file.
  * Martin Michlmayr
    - Build depend on kernel-patch-2.4.22-mips 2.4.22-0.030928.5 or higher
      for sb1-swarm-bn since this version adds initrd support as well as
      more modules.
    - sb1-swarm-bn: usb-storage modules are now the same as in kernel-wedge.
    - sb1-swarm-bn: add hfs-modules (same as in kernel-wedge).
    - Add myself as uploader.

 -- Martin Michlmayr <tbm@cyrius.com>  Wed, 24 Mar 2004 20:14:11 +0000

linux-kernel-di-mips (0.52) unstable; urgency=low

  * Thiemo Seufer
    - Split out from linux-kernel-di, using kernel-wedge.

 -- Joey Hess <joeyh@debian.org>  Wed, 17 Mar 2004 18:57:55 -0500

linux-kernel-di (0.51) unstable; urgency=low

  * Jeff Bailey
    - Add HPPA support.  Thanks to willy, lamont, tausq, and the other
      souls in #parisc.
  * Martin Michlmayr
    - Added MIPS sb1-swarm-bn images (BCM91250A).
  * Thiemo Seufer
    - Bump versioned depends for mips to .4, and add some for mipsel.
    - Declare ext3 as built-in for mips, mipsel.
  * Joshua Kwan
    - To support the vast majority of dualboot installations, add NTFS
      module to i386/ so as to be able to reliably detect Windows NT/2K
      installations.
  * Sven Luther
    - Really added pcnet32.o to powerpc/nic-modules :(
  * Joey Hess
    - Uncomment arm.
    - Fix arm kernel image versions; s/24/25/
    - Add gross hack to install-files to work around netwinder kernel image
      naming problem. This is suposed to be temporary.
  * Stephen R Marenka
    - Update mac kernel to version -3.
    - Update amiga kernel to 2.4.25.
    - Remove m68k subarch hacks as these new kernels do not require them.
 
 -- Joey Hess <joeyh@debian.org>  Tue, 16 Mar 2004 22:36:41 -0500

linux-kernel-di (0.50) unstable; urgency=low

  * Vincent Sanders
    - Added ARM kernels, mostly complete but when 2.4.25-2 is issued I will 
      need to add some modules that were not selected.
  * Joey Hess
    - sparc kernel images provide ext3-modules
    - sparc64 kernel also provides reiserfs-modules
    - due to lack of time, the arm stuff will be postponed till the next build
  * dann frazier
    - add missing -smp to itanium flavor in kernel-versions

 -- Joey Hess <joeyh@debian.org>  Sat, 13 Mar 2004 03:05:50 -0500

linux-kernel-di (0.49) unstable; urgency=low

  * dann frazier
    - Re-added mptscsih/mptbase to scsi-modules for ia64 - I introduced this
      regression during the 2.4.25 migration.

 -- Vincent Sanders <vince@kyllikki.org>  Fri, 12 Mar 2004 19:35:06 +0000

linux-kernel-di (0.48) unstable; urgency=low

  * Stephen R. Marenka
    - Removed m68k nic-shared from exclude. It's trivial, but not empty.

 -- Joey Hess <joeyh@debian.org>  Wed, 10 Mar 2004 16:30:07 -0500

linux-kernel-di (0.47) unstable; urgency=low

  * Sven Luther
    - Added power3 and power4 kernels. Not sure i did it right though.
  * Joey Hess
    - power3 and power4 modules lists differ from powerpc only in fat-modules,
      so remove them, add fat-modules to powerpc, exclude fat-modules from
      building for powerpc and powerpc-small. (The lists were broken and in
      the wrong place anyway.)
    - Typo in kernel-versions.
    - No serial modules for power3, power4.

 -- Joey Hess <joeyh@debian.org>  Wed, 10 Mar 2004 12:16:20 -0500

linux-kernel-di (0.46) unstable; urgency=low

  * Joey Hess
    - Add via-ircc.o to irda-modules.
    - Add orinoco_plx to nic-extra-modules.
    - Remove mac parport, affs, hfs, md-modules from exclude-packages list.
  * Stephen R. Marenka
    - Removed m68k parport, affs, hfs, md-modules 
      (really just don't need them).

 -- Joey Hess <joeyh@debian.org>  Sun,  7 Mar 2004 17:19:02 -0900

linux-kernel-di (0.45) unstable; urgency=low

  * dann frazier
    - Move ia64 from 2.4.22 to 2.4.25
  * Joey Hess
    - Add cdrom-core-modules for sparc. Closes: #234860
    - This package has gotten so big that it is breaking apt, to work
      around this, removed the old speakup and powerpc kernel versions.
    - Remove apparently empty ia64 md-modules.
    - scsi-core-modules are now built in on ia64


