=== debian/control ===
Source: linux-kernel-di-mips
Section: debian-installer
Priority: optional
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Joey Hess <joeyh@debian.org>, Thiemo Seufer <seufer@csv.ica.uni-stuttgart.de>, Martin Michlmayr <tbm@cyrius.com>
Build-Depends: kernel-wedge (>= 1.12), kernel-image-2.4.27-r4k-ip22 (>= 2.4.27-7.040815-1) [mips], kernel-image-2.4.27-r5k-ip22 (>= 2.4.27-7.040815-1) [mips], kernel-image-2.4.27-sb1-swarm-bn (>= 2.4.27-7.040815-1) [mips]

Package: kernel-image-2.4.27-r4k-ip22-di
XC-Package-Type: udeb
Provides: kernel-image, ext2-modules, ext3-modules, socket-modules
Architecture: mips
XB-Kernel-Version: 2.4.27-r4k-ip22
Priority: extra
Description: Linux kernel binary image for the Debian installer
 This package contains the Linux kernel image for the Debian installer
 boot images. It does _not_ provide a usable kernel for your full
 Debian system.

Package: ipv6-modules-2.4.27-r4k-ip22-di
XC-Package-Type: udeb
Provides: ipv6-modules
Depends: kernel-image-2.4.27-r4k-ip22-di
Architecture: mips
XB-Kernel-Version: 2.4.27-r4k-ip22
Priority: extra
Description: IPv6 driver
 This package contains the IPv6 driver for the Linux kernel.

Package: jfs-modules-2.4.27-r4k-ip22-di
XC-Package-Type: udeb
Provides: jfs-modules
Depends: kernel-image-2.4.27-r4k-ip22-di
Architecture: mips
XB-Kernel-Version: 2.4.27-r4k-ip22
Priority: standard
Description: JFS filesystem support
 This package contains the JFS filesystem module for the Linux kernel.

Package: reiserfs-modules-2.4.27-r4k-ip22-di
XC-Package-Type: udeb
Provides: reiserfs-modules
Depends: kernel-image-2.4.27-r4k-ip22-di
Architecture: mips
XB-Kernel-Version: 2.4.27-r4k-ip22
Priority: standard
Description: Reiser filesystem support
 This package contains the Reiser filesystem module for the Linux kernel.

Package: md-modules-2.4.27-r4k-ip22-di
XC-Package-Type: udeb
Provides: md-modules
Depends: kernel-image-2.4.27-r4k-ip22-di
Architecture: mips
XB-Kernel-Version: 2.4.27-r4k-ip22
Priority: extra
Description: RAID and LVM support
 This package contains RAID and LVM modules for the Linux kernel.

Package: kernel-image-2.4.27-r5k-ip22-di
XC-Package-Type: udeb
Provides: kernel-image, ext2-modules, ext3-modules, socket-modules
Architecture: mips
XB-Kernel-Version: 2.4.27-r5k-ip22
Priority: extra
Description: Linux kernel binary image for the Debian installer
 This package contains the Linux kernel image for the Debian installer
 boot images. It does _not_ provide a usable kernel for your full
 Debian system.

Package: ipv6-modules-2.4.27-r5k-ip22-di
XC-Package-Type: udeb
Provides: ipv6-modules
Depends: kernel-image-2.4.27-r5k-ip22-di
Architecture: mips
XB-Kernel-Version: 2.4.27-r5k-ip22
Priority: extra
Description: IPv6 driver
 This package contains the IPv6 driver for the Linux kernel.

Package: jfs-modules-2.4.27-r5k-ip22-di
XC-Package-Type: udeb
Provides: jfs-modules
Depends: kernel-image-2.4.27-r5k-ip22-di
Architecture: mips
XB-Kernel-Version: 2.4.27-r5k-ip22
Priority: standard
Description: JFS filesystem support
 This package contains the JFS filesystem module for the Linux kernel.

Package: reiserfs-modules-2.4.27-r5k-ip22-di
XC-Package-Type: udeb
Provides: reiserfs-modules
Depends: kernel-image-2.4.27-r5k-ip22-di
Architecture: mips
XB-Kernel-Version: 2.4.27-r5k-ip22
Priority: standard
Description: Reiser filesystem support
 This package contains the Reiser filesystem module for the Linux kernel.

Package: md-modules-2.4.27-r5k-ip22-di
XC-Package-Type: udeb
Provides: md-modules
Depends: kernel-image-2.4.27-r5k-ip22-di
Architecture: mips
XB-Kernel-Version: 2.4.27-r5k-ip22
Priority: extra
Description: RAID and LVM support
 This package contains RAID and LVM modules for the Linux kernel.

Package: kernel-image-2.4.27-sb1-swarm-bn-di
XC-Package-Type: udeb
Provides: kernel-image, ext2-modules, ext3-modules, ide-core-modules, pcmcia-modules, socket-modules
Architecture: mips
XB-Kernel-Version: 2.4.27-sb1-swarm-bn
Priority: extra
Description: Linux kernel binary image for the Debian installer
 This package contains the Linux kernel image for the Debian installer
 boot images. It does _not_ provide a usable kernel for your full
 Debian system.

Package: ppp-modules-2.4.27-sb1-swarm-bn-di
XC-Package-Type: udeb
Provides: ppp-modules
Depends: kernel-image-2.4.27-sb1-swarm-bn-di
Architecture: mips
XB-Kernel-Version: 2.4.27-sb1-swarm-bn
Priority: optional
Description: PPP drivers
 This package contains PPP drivers for the Linux kernel.

Package: cdrom-core-modules-2.4.27-sb1-swarm-bn-di
XC-Package-Type: udeb
Provides: cdrom-core-modules
Depends: kernel-image-2.4.27-sb1-swarm-bn-di, scsi-core-modules-2.4.27-sb1-swarm-bn-di
Architecture: mips
XB-Kernel-Version: 2.4.27-sb1-swarm-bn
Priority: standard
Description: CDROM support
 This package contains core CDROM support for the Linux kernel.

Package: scsi-core-modules-2.4.27-sb1-swarm-bn-di
XC-Package-Type: udeb
Provides: scsi-core-modules
Depends: kernel-image-2.4.27-sb1-swarm-bn-di
Architecture: mips
XB-Kernel-Version: 2.4.27-sb1-swarm-bn
Priority: standard
Description: Core SCSI subsystem
 This package contains the core SCSI subsystem for the Linux kernel.

Package: scsi-modules-2.4.27-sb1-swarm-bn-di
XC-Package-Type: udeb
Provides: scsi-modules
Depends: kernel-image-2.4.27-sb1-swarm-bn-di, scsi-core-modules-2.4.27-sb1-swarm-bn-di, cdrom-core-modules-2.4.27-sb1-swarm-bn-di
Architecture: mips
XB-Kernel-Version: 2.4.27-sb1-swarm-bn
Priority: standard
Description: SCSI drivers
 This package contains SCSI drivers for the Linux kernel.

Package: scsi-common-modules-2.4.27-sb1-swarm-bn-di
XC-Package-Type: udeb
Provides: scsi-common-modules
Depends: kernel-image-2.4.27-sb1-swarm-bn-di, scsi-core-modules-2.4.27-sb1-swarm-bn-di, cdrom-core-modules-2.4.27-sb1-swarm-bn-di
Architecture: mips
XB-Kernel-Version: 2.4.27-sb1-swarm-bn
Priority: standard
Description: Very common SCSI drivers
 This package contains very common SCSI drivers for the Linux kernel.

Package: loop-modules-2.4.27-sb1-swarm-bn-di
XC-Package-Type: udeb
Provides: loop-modules
Depends: kernel-image-2.4.27-sb1-swarm-bn-di
Architecture: mips
XB-Kernel-Version: 2.4.27-sb1-swarm-bn
Priority: standard
Description: Loopback filesystem support
 This package contains loopback filesystem support for the Linux kernel.

Package: ipv6-modules-2.4.27-sb1-swarm-bn-di
XC-Package-Type: udeb
Provides: ipv6-modules
Depends: kernel-image-2.4.27-sb1-swarm-bn-di
Architecture: mips
XB-Kernel-Version: 2.4.27-sb1-swarm-bn
Priority: extra
Description: IPv6 driver
 This package contains the IPv6 driver for the Linux kernel.

Package: jfs-modules-2.4.27-sb1-swarm-bn-di
XC-Package-Type: udeb
Provides: jfs-modules
Depends: kernel-image-2.4.27-sb1-swarm-bn-di
Architecture: mips
XB-Kernel-Version: 2.4.27-sb1-swarm-bn
Priority: standard
Description: JFS filesystem support
 This package contains the JFS filesystem module for the Linux kernel.

Package: reiserfs-modules-2.4.27-sb1-swarm-bn-di
XC-Package-Type: udeb
Provides: reiserfs-modules
Depends: kernel-image-2.4.27-sb1-swarm-bn-di
Architecture: mips
XB-Kernel-Version: 2.4.27-sb1-swarm-bn
Priority: standard
Description: Reiser filesystem support
 This package contains the Reiser filesystem module for the Linux kernel.

Package: xfs-modules-2.4.27-sb1-swarm-bn-di
XC-Package-Type: udeb
Provides: xfs-modules
Depends: kernel-image-2.4.27-sb1-swarm-bn-di
Architecture: mips
XB-Kernel-Version: 2.4.27-sb1-swarm-bn
Priority: standard
Description: XFS filesystem support
 This package contains the XFS filesystem module for the Linux kernel.

Package: fat-modules-2.4.27-sb1-swarm-bn-di
XC-Package-Type: udeb
Provides: fat-modules
Depends: kernel-image-2.4.27-sb1-swarm-bn-di
Architecture: mips
XB-Kernel-Version: 2.4.27-sb1-swarm-bn
Priority: extra
Description: FAT filesystem support
 This package contains the FAT and VFAT filesystem modules for the Linux kernel.

Package: md-modules-2.4.27-sb1-swarm-bn-di
XC-Package-Type: udeb
Provides: md-modules
Depends: kernel-image-2.4.27-sb1-swarm-bn-di
Architecture: mips
XB-Kernel-Version: 2.4.27-sb1-swarm-bn
Priority: extra
Description: RAID and LVM support
 This package contains RAID and LVM modules for the Linux kernel.

Package: usb-modules-2.4.27-sb1-swarm-bn-di
XC-Package-Type: udeb
Provides: usb-modules
Depends: kernel-image-2.4.27-sb1-swarm-bn-di
Architecture: mips
XB-Kernel-Version: 2.4.27-sb1-swarm-bn
Priority: extra
Description: USB support
 This package contains core USB drivers for the Linux kernel.

Package: usb-storage-modules-2.4.27-sb1-swarm-bn-di
XC-Package-Type: udeb
Provides: usb-storage-modules
Depends: scsi-core-modules-2.4.27-sb1-swarm-bn-di, usb-modules-2.4.27-sb1-swarm-bn-di
Architecture: mips
XB-Kernel-Version: 2.4.27-sb1-swarm-bn
Priority: standard
Description: USB storage support
 This package contains the USB storage driver for the Linux kernel.

Package: pcmcia-storage-modules-2.4.27-sb1-swarm-bn-di
XC-Package-Type: udeb
Provides: pcmcia-storage-modules
Depends: kernel-image-2.4.27-sb1-swarm-bn-di, cdrom-core-modules-2.4.27-sb1-swarm-bn-di
Architecture: mips
XB-Kernel-Version: 2.4.27-sb1-swarm-bn
Priority: standard
Description: PCMCIA storage drivers
 This package contains PCMCIA storage drivers for the Linux kernel.

Package: fb-modules-2.4.27-sb1-swarm-bn-di
XC-Package-Type: udeb
Provides: fb-modules
Depends: kernel-image-2.4.27-sb1-swarm-bn-di
Architecture: mips
XB-Kernel-Version: 2.4.27-sb1-swarm-bn
Priority: extra
Description: Frame buffer support
 This package contains Frame buffer drivers for the Linux kernel.

Package: input-modules-2.4.27-sb1-swarm-bn-di
XC-Package-Type: udeb
Provides: input-modules
Depends: kernel-image-2.4.27-sb1-swarm-bn-di, usb-modules-2.4.27-sb1-swarm-bn-di
Architecture: mips
XB-Kernel-Version: 2.4.27-sb1-swarm-bn
Priority: extra
Description: Input devices support
 This package contains input device drivers for the Linux kernel.

Package: sata-modules-2.4.27-sb1-swarm-bn-di
XC-Package-Type: udeb
Provides: sata-modules
Depends: kernel-image-2.4.27-sb1-swarm-bn-di, scsi-core-modules-2.4.27-sb1-swarm-bn-di
Architecture: mips
XB-Kernel-Version: 2.4.27-sb1-swarm-bn
Priority: standard
Description: SATA drivers
 This package contains SATA drivers for the Linux kernel.
