## linux-kernel-di-mips 1.2

=== debian/changelog ===
linux-kernel-di-mips (1.2) unstable; urgency=low

  * Thiemo Seufer
    - Add loop, xfs, and ppp modules for ip22 configs.

 -- Thiemo Seufer <ths@debian.org>  Tue, 15 Feb 2005 19:54:23 +0100

linux-kernel-di-mips (1.1) unstable; urgency=medium

  * Thiemo Seufer
    - Rebuild with kernel 2.4.27-8.040815-1 (for more security fixes).

 -- Thiemo Seufer <ths@debian.org>  Sat, 22 Jan 2005 02:34:44 +0100
