=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Joey Hess <joeyh@debian.org>, Thiemo Seufer <seufer@csv.ica.uni-stuttgart.de>, Martin Michlmayr <tbm@cyrius.com>
-Build-Depends: kernel-wedge (>= 1.12), kernel-image-2.4.27-r4k-ip22 (>= 2.4.27-7.040815-1) [mips], kernel-image-2.4.27-r5k-ip22 (>= 2.4.27-7.040815-1) [mips], kernel-image-2.4.27-sb1-swarm-bn (>= 2.4.27-7.040815-1) [mips]
+Build-Depends: kernel-wedge (>= 1.12), kernel-image-2.4.27-r4k-ip22 (>= 2.4.27-8.040815-1) [mips], kernel-image-2.4.27-r5k-ip22 (>= 2.4.27-8.040815-1) [mips], kernel-image-2.4.27-sb1-swarm-bn (>= 2.4.27-8.040815-1) [mips]
 
 Package: kernel-image-2.4.27-r4k-ip22-di
 XC-Package-Type: udeb
@@ -16,6 +16,26 @@
  boot images. It does _not_ provide a usable kernel for your full
  Debian system.
 
+Package: ppp-modules-2.4.27-r4k-ip22-di
+XC-Package-Type: udeb
+Provides: ppp-modules
+Depends: kernel-image-2.4.27-r4k-ip22-di
+Architecture: mips
+XB-Kernel-Version: 2.4.27-r4k-ip22
+Priority: optional
+Description: PPP drivers
+ This package contains PPP drivers for the Linux kernel.
+
+Package: loop-modules-2.4.27-r4k-ip22-di
+XC-Package-Type: udeb
+Provides: loop-modules
+Depends: kernel-image-2.4.27-r4k-ip22-di
+Architecture: mips
+XB-Kernel-Version: 2.4.27-r4k-ip22
+Priority: standard
+Description: Loopback filesystem support
+ This package contains loopback filesystem support for the Linux kernel.
+
 Package: ipv6-modules-2.4.27-r4k-ip22-di
 XC-Package-Type: udeb
 Provides: ipv6-modules
@@ -45,6 +65,16 @@
 Priority: standard
 Description: Reiser filesystem support
  This package contains the Reiser filesystem module for the Linux kernel.
+
+Package: xfs-modules-2.4.27-r4k-ip22-di
+XC-Package-Type: udeb
+Provides: xfs-modules
+Depends: kernel-image-2.4.27-r4k-ip22-di
+Architecture: mips
+XB-Kernel-Version: 2.4.27-r4k-ip22
+Priority: standard
+Description: XFS filesystem support
+ This package contains the XFS filesystem module for the Linux kernel.
 
 Package: md-modules-2.4.27-r4k-ip22-di
 XC-Package-Type: udeb
@@ -67,6 +97,26 @@
  boot images. It does _not_ provide a usable kernel for your full
  Debian system.
 
+Package: ppp-modules-2.4.27-r5k-ip22-di
+XC-Package-Type: udeb
+Provides: ppp-modules
+Depends: kernel-image-2.4.27-r5k-ip22-di
+Architecture: mips
+XB-Kernel-Version: 2.4.27-r5k-ip22
+Priority: optional
+Description: PPP drivers
+ This package contains PPP drivers for the Linux kernel.
+
+Package: loop-modules-2.4.27-r5k-ip22-di
+XC-Package-Type: udeb
+Provides: loop-modules
+Depends: kernel-image-2.4.27-r5k-ip22-di
+Architecture: mips
+XB-Kernel-Version: 2.4.27-r5k-ip22
+Priority: standard
+Description: Loopback filesystem support
+ This package contains loopback filesystem support for the Linux kernel.
+
 Package: ipv6-modules-2.4.27-r5k-ip22-di
 XC-Package-Type: udeb
 Provides: ipv6-modules
@@ -96,6 +146,16 @@
 Priority: standard
 Description: Reiser filesystem support
  This package contains the Reiser filesystem module for the Linux kernel.
+
+Package: xfs-modules-2.4.27-r5k-ip22-di
+XC-Package-Type: udeb
+Provides: xfs-modules
+Depends: kernel-image-2.4.27-r5k-ip22-di
+Architecture: mips
+XB-Kernel-Version: 2.4.27-r5k-ip22
+Priority: standard
+Description: XFS filesystem support
+ This package contains the XFS filesystem module for the Linux kernel.
 
 Package: md-modules-2.4.27-r5k-ip22-di
 XC-Package-Type: udeb
@@ -296,4 +356,3 @@
 XB-Kernel-Version: 2.4.27-sb1-swarm-bn
 Priority: standard
 Description: SATA drivers
- This package contains SATA drivers for the Linux kernel.
