## linux-kernel-di-mips 1.2sarge1

=== debian/changelog ===
linux-kernel-di-mips (1.2sarge1) stable-proposed-updates; urgency=high

  * Rebuild against kernel-patch-2.4.27-mips (2.4.27-10.sarge3.040815-1)
    for compatability with the new ABI

 -- dann frazier <dannf@debian.org>  Mon, 12 Jun 2006 18:07:35 -0600
