=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Joey Hess <joeyh@debian.org>, Thiemo Seufer <seufer@csv.ica.uni-stuttgart.de>, Martin Michlmayr <tbm@cyrius.com>
-Build-Depends: kernel-wedge (>= 1.12), kernel-image-2.4.27-r4k-ip22 (>= 2.4.27-8.040815-1) [mips], kernel-image-2.4.27-r5k-ip22 (>= 2.4.27-8.040815-1) [mips], kernel-image-2.4.27-sb1-swarm-bn (>= 2.4.27-8.040815-1) [mips]
+Build-Depends: kernel-wedge (>= 1.12), kernel-image-2.4.27-r4k-ip22 (>= 2.4.27-10.sarge3.040815-1) [mips], kernel-image-2.4.27-r5k-ip22 (>= 2.4.27-10.sarge3.040815-1) [mips], kernel-image-2.4.27-sb1-swarm-bn (>= 2.4.27-10.sarge3.040815-1) [mips]
 
 Package: kernel-image-2.4.27-r4k-ip22-di
 XC-Package-Type: udeb
@@ -355,4 +355,3 @@
 Architecture: mips
 XB-Kernel-Version: 2.4.27-sb1-swarm-bn
 Priority: standard
-Description: SATA drivers
