## linux-kernel-di-mips 1.4

=== debian/changelog ===
linux-kernel-di-mips (1.4) unstable; urgency=low

  * Joey Hess
    - Switch to kernel-wedge 2.0.
  * Martin Michlmayr
    - Rebuilt with kernel 2.4.27-10.040815-1.
  * Thiemo Seufer
    - Tighten kernel build dependency.

 -- Thiemo Seufer <ths@debian.org>  Fri, 27 May 2005 21:36:03 +0200

linux-kernel-di-mips (1.3) unstable; urgency=low

  * Thiemo Seufer
    - Rebuild with kernel 2.4.27-9.040815-1 (for more security fixes).

 -- Thiemo Seufer <ths@debian.org>  Fri, 25 Mar 2005 14:50:23 +0100
