=== debian/control ===
--- 
+++ 
@@ -2,14 +2,15 @@
 Section: debian-installer
 Priority: optional
 Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
-Uploaders: Joey Hess <joeyh@debian.org>, Thiemo Seufer <seufer@csv.ica.uni-stuttgart.de>, Martin Michlmayr <tbm@cyrius.com>
-Build-Depends: kernel-wedge (>= 1.12), kernel-image-2.4.27-r4k-ip22 (>= 2.4.27-10.sarge3.040815-1) [mips], kernel-image-2.4.27-r5k-ip22 (>= 2.4.27-10.sarge3.040815-1) [mips], kernel-image-2.4.27-sb1-swarm-bn (>= 2.4.27-10.sarge3.040815-1) [mips]
+Uploaders: Joey Hess <joeyh@debian.org>, Thiemo Seufer <ths@debian.org>, Martin Michlmayr <tbm@cyrius.com>
+Build-Depends: kernel-wedge (>= 2), kernel-image-2.4.27-r4k-ip22 (= 2.4.27-10.040815-1) [mips], kernel-image-2.4.27-r5k-ip22 (= 2.4.27-10.040815-1) [mips], kernel-image-2.4.27-sb1-swarm-bn (= 2.4.27-10.040815-1) [mips]
 
 Package: kernel-image-2.4.27-r4k-ip22-di
 XC-Package-Type: udeb
 Provides: kernel-image, ext2-modules, ext3-modules, socket-modules
 Architecture: mips
 XB-Kernel-Version: 2.4.27-r4k-ip22
+Section: debian-installer
 Priority: extra
 Description: Linux kernel binary image for the Debian installer
  This package contains the Linux kernel image for the Debian installer
@@ -22,6 +23,7 @@
 Depends: kernel-image-2.4.27-r4k-ip22-di
 Architecture: mips
 XB-Kernel-Version: 2.4.27-r4k-ip22
+Section: debian-installer
 Priority: optional
 Description: PPP drivers
  This package contains PPP drivers for the Linux kernel.
@@ -32,6 +34,7 @@
 Depends: kernel-image-2.4.27-r4k-ip22-di
 Architecture: mips
 XB-Kernel-Version: 2.4.27-r4k-ip22
+Section: debian-installer
 Priority: standard
 Description: Loopback filesystem support
  This package contains loopback filesystem support for the Linux kernel.
@@ -42,6 +45,7 @@
 Depends: kernel-image-2.4.27-r4k-ip22-di
 Architecture: mips
 XB-Kernel-Version: 2.4.27-r4k-ip22
+Section: debian-installer
 Priority: extra
 Description: IPv6 driver
  This package contains the IPv6 driver for the Linux kernel.
@@ -52,6 +56,7 @@
 Depends: kernel-image-2.4.27-r4k-ip22-di
 Architecture: mips
 XB-Kernel-Version: 2.4.27-r4k-ip22
+Section: debian-installer
 Priority: standard
 Description: JFS filesystem support
  This package contains the JFS filesystem module for the Linux kernel.
@@ -62,6 +67,7 @@
 Depends: kernel-image-2.4.27-r4k-ip22-di
 Architecture: mips
 XB-Kernel-Version: 2.4.27-r4k-ip22
+Section: debian-installer
 Priority: standard
 Description: Reiser filesystem support
  This package contains the Reiser filesystem module for the Linux kernel.
@@ -72,6 +78,7 @@
 Depends: kernel-image-2.4.27-r4k-ip22-di
 Architecture: mips
 XB-Kernel-Version: 2.4.27-r4k-ip22
+Section: debian-installer
 Priority: standard
 Description: XFS filesystem support
  This package contains the XFS filesystem module for the Linux kernel.
@@ -82,6 +89,7 @@
 Depends: kernel-image-2.4.27-r4k-ip22-di
 Architecture: mips
 XB-Kernel-Version: 2.4.27-r4k-ip22
+Section: debian-installer
 Priority: extra
 Description: RAID and LVM support
  This package contains RAID and LVM modules for the Linux kernel.
@@ -91,6 +99,7 @@
 Provides: kernel-image, ext2-modules, ext3-modules, socket-modules
 Architecture: mips
 XB-Kernel-Version: 2.4.27-r5k-ip22
+Section: debian-installer
 Priority: extra
 Description: Linux kernel binary image for the Debian installer
  This package contains the Linux kernel image for the Debian installer
@@ -103,6 +112,7 @@
 Depends: kernel-image-2.4.27-r5k-ip22-di
 Architecture: mips
 XB-Kernel-Version: 2.4.27-r5k-ip22
+Section: debian-installer
 Priority: optional
 Description: PPP drivers
  This package contains PPP drivers for the Linux kernel.
@@ -113,6 +123,7 @@
 Depends: kernel-image-2.4.27-r5k-ip22-di
 Architecture: mips
 XB-Kernel-Version: 2.4.27-r5k-ip22
+Section: debian-installer
 Priority: standard
 Description: Loopback filesystem support
  This package contains loopback filesystem support for the Linux kernel.
@@ -123,6 +134,7 @@
 Depends: kernel-image-2.4.27-r5k-ip22-di
 Architecture: mips
 XB-Kernel-Version: 2.4.27-r5k-ip22
+Section: debian-installer
 Priority: extra
 Description: IPv6 driver
  This package contains the IPv6 driver for the Linux kernel.
@@ -133,6 +145,7 @@
 Depends: kernel-image-2.4.27-r5k-ip22-di
 Architecture: mips
 XB-Kernel-Version: 2.4.27-r5k-ip22
+Section: debian-installer
 Priority: standard
 Description: JFS filesystem support
  This package contains the JFS filesystem module for the Linux kernel.
@@ -143,6 +156,7 @@
 Depends: kernel-image-2.4.27-r5k-ip22-di
 Architecture: mips
 XB-Kernel-Version: 2.4.27-r5k-ip22
+Section: debian-installer
 Priority: standard
 Description: Reiser filesystem support
  This package contains the Reiser filesystem module for the Linux kernel.
@@ -153,6 +167,7 @@
 Depends: kernel-image-2.4.27-r5k-ip22-di
 Architecture: mips
 XB-Kernel-Version: 2.4.27-r5k-ip22
+Section: debian-installer
 Priority: standard
 Description: XFS filesystem support
  This package contains the XFS filesystem module for the Linux kernel.
@@ -163,6 +178,7 @@
 Depends: kernel-image-2.4.27-r5k-ip22-di
 Architecture: mips
 XB-Kernel-Version: 2.4.27-r5k-ip22
+Section: debian-installer
 Priority: extra
 Description: RAID and LVM support
  This package contains RAID and LVM modules for the Linux kernel.
@@ -172,6 +188,7 @@
 Provides: kernel-image, ext2-modules, ext3-modules, ide-core-modules, pcmcia-modules, socket-modules
 Architecture: mips
 XB-Kernel-Version: 2.4.27-sb1-swarm-bn
+Section: debian-installer
 Priority: extra
 Description: Linux kernel binary image for the Debian installer
  This package contains the Linux kernel image for the Debian installer
@@ -184,6 +201,7 @@
 Depends: kernel-image-2.4.27-sb1-swarm-bn-di
 Architecture: mips
 XB-Kernel-Version: 2.4.27-sb1-swarm-bn
+Section: debian-installer
 Priority: optional
 Description: PPP drivers
  This package contains PPP drivers for the Linux kernel.
@@ -194,6 +212,7 @@
 Depends: kernel-image-2.4.27-sb1-swarm-bn-di, scsi-core-modules-2.4.27-sb1-swarm-bn-di
 Architecture: mips
 XB-Kernel-Version: 2.4.27-sb1-swarm-bn
+Section: debian-installer
 Priority: standard
 Description: CDROM support
  This package contains core CDROM support for the Linux kernel.
@@ -204,6 +223,7 @@
 Depends: kernel-image-2.4.27-sb1-swarm-bn-di
 Architecture: mips
 XB-Kernel-Version: 2.4.27-sb1-swarm-bn
+Section: debian-installer
 Priority: standard
 Description: Core SCSI subsystem
  This package contains the core SCSI subsystem for the Linux kernel.
@@ -214,6 +234,7 @@
 Depends: kernel-image-2.4.27-sb1-swarm-bn-di, scsi-core-modules-2.4.27-sb1-swarm-bn-di, cdrom-core-modules-2.4.27-sb1-swarm-bn-di
 Architecture: mips
 XB-Kernel-Version: 2.4.27-sb1-swarm-bn
+Section: debian-installer
 Priority: standard
 Description: SCSI drivers
  This package contains SCSI drivers for the Linux kernel.
@@ -224,6 +245,7 @@
 Depends: kernel-image-2.4.27-sb1-swarm-bn-di, scsi-core-modules-2.4.27-sb1-swarm-bn-di, cdrom-core-modules-2.4.27-sb1-swarm-bn-di
 Architecture: mips
 XB-Kernel-Version: 2.4.27-sb1-swarm-bn
+Section: debian-installer
 Priority: standard
 Description: Very common SCSI drivers
  This package contains very common SCSI drivers for the Linux kernel.
@@ -234,6 +256,7 @@
 Depends: kernel-image-2.4.27-sb1-swarm-bn-di
 Architecture: mips
 XB-Kernel-Version: 2.4.27-sb1-swarm-bn
+Section: debian-installer
 Priority: standard
 Description: Loopback filesystem support
  This package contains loopback filesystem support for the Linux kernel.
@@ -244,6 +267,7 @@
 Depends: kernel-image-2.4.27-sb1-swarm-bn-di
 Architecture: mips
 XB-Kernel-Version: 2.4.27-sb1-swarm-bn
+Section: debian-installer
 Priority: extra
 Description: IPv6 driver
  This package contains the IPv6 driver for the Linux kernel.
@@ -254,6 +278,7 @@
 Depends: kernel-image-2.4.27-sb1-swarm-bn-di
 Architecture: mips
 XB-Kernel-Version: 2.4.27-sb1-swarm-bn
+Section: debian-installer
 Priority: standard
 Description: JFS filesystem support
  This package contains the JFS filesystem module for the Linux kernel.
@@ -264,6 +289,7 @@
 Depends: kernel-image-2.4.27-sb1-swarm-bn-di
 Architecture: mips
 XB-Kernel-Version: 2.4.27-sb1-swarm-bn
+Section: debian-installer
 Priority: standard
 Description: Reiser filesystem support
  This package contains the Reiser filesystem module for the Linux kernel.
@@ -274,6 +300,7 @@
 Depends: kernel-image-2.4.27-sb1-swarm-bn-di
 Architecture: mips
 XB-Kernel-Version: 2.4.27-sb1-swarm-bn
+Section: debian-installer
 Priority: standard
 Description: XFS filesystem support
  This package contains the XFS filesystem module for the Linux kernel.
@@ -284,6 +311,7 @@
 Depends: kernel-image-2.4.27-sb1-swarm-bn-di
 Architecture: mips
 XB-Kernel-Version: 2.4.27-sb1-swarm-bn
+Section: debian-installer
 Priority: extra
 Description: FAT filesystem support
  This package contains the FAT and VFAT filesystem modules for the Linux kernel.
@@ -294,6 +322,7 @@
 Depends: kernel-image-2.4.27-sb1-swarm-bn-di
 Architecture: mips
 XB-Kernel-Version: 2.4.27-sb1-swarm-bn
+Section: debian-installer
 Priority: extra
 Description: RAID and LVM support
  This package contains RAID and LVM modules for the Linux kernel.
@@ -304,6 +333,7 @@
 Depends: kernel-image-2.4.27-sb1-swarm-bn-di
 Architecture: mips
 XB-Kernel-Version: 2.4.27-sb1-swarm-bn
+Section: debian-installer
 Priority: extra
 Description: USB support
  This package contains core USB drivers for the Linux kernel.
@@ -314,6 +344,7 @@
 Depends: scsi-core-modules-2.4.27-sb1-swarm-bn-di, usb-modules-2.4.27-sb1-swarm-bn-di
 Architecture: mips
 XB-Kernel-Version: 2.4.27-sb1-swarm-bn
+Section: debian-installer
 Priority: standard
 Description: USB storage support
  This package contains the USB storage driver for the Linux kernel.
@@ -324,6 +355,7 @@
 Depends: kernel-image-2.4.27-sb1-swarm-bn-di, cdrom-core-modules-2.4.27-sb1-swarm-bn-di
 Architecture: mips
 XB-Kernel-Version: 2.4.27-sb1-swarm-bn
+Section: debian-installer
 Priority: standard
 Description: PCMCIA storage drivers
  This package contains PCMCIA storage drivers for the Linux kernel.
@@ -332,26 +364,3 @@
 XC-Package-Type: udeb
 Provides: fb-modules
 Depends: kernel-image-2.4.27-sb1-swarm-bn-di
-Architecture: mips
-XB-Kernel-Version: 2.4.27-sb1-swarm-bn
-Priority: extra
-Description: Frame buffer support
- This package contains Frame buffer drivers for the Linux kernel.
-
-Package: input-modules-2.4.27-sb1-swarm-bn-di
-XC-Package-Type: udeb
-Provides: input-modules
-Depends: kernel-image-2.4.27-sb1-swarm-bn-di, usb-modules-2.4.27-sb1-swarm-bn-di
-Architecture: mips
-XB-Kernel-Version: 2.4.27-sb1-swarm-bn
-Priority: extra
-Description: Input devices support
- This package contains input device drivers for the Linux kernel.
-
-Package: sata-modules-2.4.27-sb1-swarm-bn-di
-XC-Package-Type: udeb
-Provides: sata-modules
-Depends: kernel-image-2.4.27-sb1-swarm-bn-di, scsi-core-modules-2.4.27-sb1-swarm-bn-di
-Architecture: mips
-XB-Kernel-Version: 2.4.27-sb1-swarm-bn
-Priority: standard
